From: Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
Date: Mon, 2 Jun 97 10:50:51 +0200
To: linux-m68k@phil.uni-sb.de
In-Reply-To: Jes Sorensen's message of Fri, 30 May 1997 17:50:06 +0200
Subject: Re: L68K: 2.1.42
X-Yow: On SECOND thought, maybe I'll heat up some BAKED BEANS and
 watch REGIS PHILBIN..  It's GREAT to be ALIVE!!
References: <199705301550.RAA39988@sp054.cern.ch>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

Jes Sorensen <Jes.Sorensen@cern.ch> writes:

|> I have released 2.1.42 which seems pretty nice to me.

Yes, pretty nice.  This time only very few small patches are needed. :-)

Andreas.

----------------------------------------------------------------------
--- arch/m68k/atari/atakeyb.c.~1~	Fri May 30 18:36:40 1997
+++ arch/m68k/atari/atakeyb.c	Sat May 24 16:01:27 1997
@@ -420,11 +420,11 @@
 		     * make codes instead. Therefore, simply ignore
 		     * break_flag...
 		     * */
-		    int keyval = ataplain_map[scancode], keytyp;
+		    int keyval = plain_map[scancode], keytyp;
 		    
 		    set_bit( scancode, broken_keys );
 		    self_test_last_rcv = jiffies;
-		    keyval = ataplain_map[scancode];
+		    keyval = plain_map[scancode];
 		    keytyp = KTYP(keyval) - 0xf0;
 		    keyval = KVAL(keyval);
 		    
--- arch/m68k/kernel/console.c.~2~	Sat May 24 16:35:18 1997
+++ arch/m68k/kernel/console.c	Sun Jun  1 12:03:05 1997
@@ -164,9 +164,12 @@
 void poke_blanked_console(void);
 void do_blank_screen(int);
 
+#if 0
+/* Make sure there are no references left to this variables.  */
 unsigned long	video_num_lines;
 unsigned long	video_num_columns;
 unsigned long	video_size_row;
+#endif
 
 static int printable = 0;			/* Is console ready for printing? */
 unsigned long video_font_height;	/* Height of current screen font */
--- drivers/char/selection.c.~1~	Fri May 30 18:37:12 1997
+++ drivers/char/selection.c	Sun Jun  1 12:00:59 1997
@@ -101,9 +101,9 @@
 }
 
 /* does screen address p correspond to character at LH/RH edge of screen? */
-static inline int atedge(const int p)
+static inline int atedge(const int p, int size_row)
 {
-	return (!(p % video_size_row) || !((p + 2) % video_size_row));
+	return (!(p % size_row) || !((p + 2) % size_row));
 }
 
 /* constrain v such that v <= u */
@@ -227,9 +227,9 @@
 
 	/* select to end of line if on trailing space */
 	if (new_sel_end > new_sel_start &&
-		!atedge(new_sel_end) && isspace(sel_pos(new_sel_end))) {
+		!atedge(new_sel_end, size_row) && isspace(sel_pos(new_sel_end))) {
 		for (pe = new_sel_end + 2; ; pe += 2)
-			if (!isspace(sel_pos(pe)) || atedge(pe))
+			if (!isspace(sel_pos(pe)) || atedge(pe, size_row))
 				break;
 		if (isspace(sel_pos(pe)))
 			new_sel_end = pe;
--- fs/proc/array.c.~1~	Fri May 30 19:37:35 1997
+++ fs/proc/array.c	Sat May 31 23:23:00 1997
@@ -466,7 +466,7 @@
 	    extern int sys_pause (void);
 	    extern void tqueue_bh (void);
 
-	    stack_page = 2*PAGE_SIZE + (unsigned long)p;
+	    stack_page = PAGE_SIZE + (unsigned long)p;
 	    fp = ((struct switch_stack *)p->tss.ksp)->a6;
 	    do {
 		    if (fp < stack_page || fp >= 4088+stack_page)
